Results 1 to 9 of 9

Thread: how to upgrade firefox beyond the ones available to your OS?

  1. #1

    Question how to upgrade firefox beyond the ones available to your OS?

    Hi
    I have been donated an old linux workstation, openSUSE V 11.4 & 2.6.37.1-1.2.
    -It has a huge amount of "specialty" software I want to use, that was laboriously put in place by the original owner, -lots of false starts, dependencies, etc., etc.
    -So, at least for now, I absolutely don't want to upgrade the OS, of course, -as I would lose all of that.

    But, of course, firefox that's on there is hopelessly outdated, and even blocked from this forum...

    Some background:

    An attempt to bring a new browser to that machine:
    1) I went to the mozilla site and also https://software.opensuse.org/package/MozillaFirefox -and downloaded the firefox they wanted to give me (v72) for linux.

    2) I un-tarred it in a sub-directory I made in my home directory.

    3) Inside that sub-directory, doing a "which firefox" shows it to point to that new firefox inside the sub-directory, but outside is the old, "working one", still available.


    -Expecting nothing great, I try to run firefox. (I assume the minimum that the libraries won't jive, etc., but, let's see).

    4) The errors listed out:
    (After running this line command: /home/me/ff_try/firefox/firefox )

    XPCOMGlueLoad error for file /home/qingbing/ff_try/firefox/libmozgtk.so:
    libgtk-3.so.0: cannot open shared object file: No such file or directory
    Couldn't load XPCOM.


    5) Finding and grepping around, it does seem I only have libgtk-2 floating around (I am v11.4, eh?).

    6) -I've already found this site:
    http://ftp5.gwdg.de/pub/opensuse/dis...s/suse/x86_64/
    (and had just used it to get my wlan wireless up and running by grabbing iw)
    -I found an rpm that seems to be what the error message says I am missing?? : libgtk-3-0-3.0.0-3.3.x86_64.rpm
    -And there are other rpm's beginning with gtk3-xxx.rpm, also ...


    I'm pretty afraid to try to install this "rpm" library -- don't even know how to ascertain what libraries are in place, and whether this would over-ride the current libgtk-2 and ruin everything???
    -Or will it just be another set of libraries available for programs that ask for it??? -Don't want to wreck what I do have!


    -I'm hoping I can get some guru help here!!!

    Thanks very much




  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    26,220

    Default Re: how to upgrade firefox beyond the ones available to your OS?

    My idea is that such an old system should not connect to the internet (for security reasons). Thus when you need it for special tasks, that is OK, but you will not need a browser for going to the internet.

    Another, but related, thing is that it is OK to freeze a system, the system will be very stable. But you should then freeze it completely and not try to install new software or new versions of any software. That will open a can of worms like dependancies upon dependencies, often braking the sofware you have running now, and so on and so on.
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    28,540
    Blog Entries
    15

    Default Re: how to upgrade firefox beyond the ones available to your OS?

    Hi
    So what is the hardware, ram, cpu, gpu etc? Why not just leave it as it is, make a backup of the drive (eg via dd), save the original and pop the copied drive and use it as a dual boot system, or mount the drive and work on the software in a more modern release.

    Run the system in a virtual machine would be another route (it's what I do via a second sata controller).
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    2,153

    Default Re: how to upgrade firefox beyond the ones available to your OS?

    Old FF versions are available from http://ftp.mozilla.org/pub/firefox/releases/. Probably to run with only gtk2 you'll need 45.9 ESR or older, or at least, something older than 52 ESR. Try SeaMonkey 2.48 too, newer than FF45.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 15.1,TW,15.2 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&15.1 on 965P/Radeon
    Tertiary: TW,15.2,15.1,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

  5. #5

    Thumbs up Re: how to upgrade firefox beyond the ones available to your OS?

    Mr Mazda!! -Thank you for the tip and help!!
    I went to that site, -and was even able to go there w the old Konqueror on my ancient machine (Firefox wasn't allowed ;-) )

    After much failing (almost all require gtk-3, and most don't have a "tar" file for linux in that area), -this one worked just fine on the 11.4 opensuse:
    firefox-45.6.0esr.linux-x86_64.sdk.tar.bz2

    -I've, for now, put it in a home sub-directory, and haven't yet linked it's bin/firefox to my main one -- keeping things safe...

    -But, howsmyssl.com tells me it's got good tls and ssl, so I'm happy.

    -Also, I was not allowed onto this site w the original browsers, so I had to go over to my windows machines, every time, for just about any internet thing.

    -Now, I am typing from my linux box in firefox, -feeling relatively safe

    -And just made some pdf's from multiple jpg's using linux "convert", -and emailed them out!!

    Thanks very much again!!!


    (this firefox solution is a "hack", -which is something very proper in linux, eh?)

  6. #6
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    2,153

    Default Re: how to upgrade firefox beyond the ones available to your OS?

    Quote Originally Posted by tmmm View Post
    firefox-45.6.0esr.linux-x86_64.sdk.tar.bz2
    That sdk means it's a special version for developers (? developer kit). What you should have found, if en_US is your language, is http://ftp.mozilla.org/pub/firefox/r...9.0esr.tar.bz2, or if yours is some other language, find it from http://ftp.mozilla.org/pub/firefox/r.../linux-x86_64/. What you downloaded is 2.77 times the size of what you should have.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 15.1,TW,15.2 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&15.1 on 965P/Radeon
    Tertiary: TW,15.2,15.1,Fedora,Debian,more on Kaby Lake,Q45,Q43,G41,G3X,965G,Cedar,Caicos,Oland,GT218&&&

  7. #7

    Thumbs up Re: how to upgrade firefox beyond the ones available to your OS?

    Ah ha! -Didn't catch on to the structure tree there, and grabbed the file that was right up front (the sdk one).

    Thanks!

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,666
    Blog Entries
    14

    Default Re: how to upgrade firefox beyond the ones available to your OS?

    Quote Originally Posted by tmmm View Post
    -Now, I am typing from my linux box in firefox, -feeling relatively safe
    No, you're not. Connecting to the internet with such ancient software is outright dangerous.

    (this firefox solution is a "hack", -which is something very proper in linux, eh?)
    No, it's not. A good, or proper, linux habit is to keep a system up to date. You have absolutely no protection from all kinds of modern attacks. I recently had to have a look at some old 12.1 server machine, that had "become slower". It contained some rootkits, and the slowness was due to some bitcoin mining software, that had been on the system for over a year, and only became active from 2019-11-01 .......
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9

    Thumbs up Re: how to upgrade firefox beyond the ones available to your OS?

    Thanks for the warning (that I do take seriously). The 2009 machine is a sort of "gift" that I put back together, along with its ancient OS and software packages (which are OS-dependent, naturally, and would have to be downloaded, compiled, etc. by me - not impossible, but...).

    However, the "hack" that was done has allowed for an upgraded TLS and SSL browser, which at least gives the right encryption and security for the present purposes. -That's all I wanted for now. -I myself, BTW, got to see Unix kick its way into my workplace, and if you don't see "hack" everywhere in it, I am not sure where else to look! ("let's make a command called 'grep' for what DOS calls 'find', yeah?" ) ;-)


    -Anyway, as per your experiences, it is a major shame that even Linux boxes are being attacked, eh? -They'd find this one plenty useless, but the unleashed bots that go out on the attack certainly don't check first...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •